Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class HierarchyAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.HierarchyAction

All Implemented Interfaces:
  EventListener, HierarchyListener

public class HierarchyAction
extends AbstractAction
implements HierarchyListener

Actionimplementierung fuer HierarchyEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`HierarchyAction()`

Method Summary
`void` | `doHierarchyChanged(HierarchyEvent he)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `hierarchyChanged(HierarchyEvent he)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyAction

    public HierarchyAction()

Method Detail

### hierarchyChanged

    public void hierarchyChanged(HierarchyEvent he)

  Specified by:
    `hierarchyChanged` in interface `HierarchyListener`

### doHierarchyChanged

    public void doHierarchyChanged(HierarchyEvent he)
                            throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `he` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD